Skip to content

Retrieve metadata of all component types in your Vault.

GET/api/{version}/metadata/components
NameDescription
Acceptapplication/json (default) or application/xml
curl -X GET -H "Authorization: {SESSION_ID}" \ https://myvault.veevavault.com/api/v25.2/metadata/components
{ "responseStatus": "SUCCESS", "data": [ { "url": "/api/v25.2/metadata/components/Securityprofile", "name": "Securityprofile", "class": "metadata", "abbreviation": "SPR", "active": true, "label": "Security Profile", "label_plural": "Security Profile" }, { "url": "/api/v25.2/metadata/components/Tab", "name": "Tab", "class": "metadata", "abbreviation": "TAB", "active": true, "label": "Tab", "label_plural": "Tab", "vobject": "vof_tab__sys" } ] }

On SUCCESS, the response may include the following for each component type in the currently authenticated Vault: